GWT 2.7.0

## com.google.web.bindery.requestfactory.server
Class RequestFactoryJarExtractor

    java.lang.Object
      com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor

    public class RequestFactoryJarExtractor

extends java.lang.Object

Used to extract RequestFactory client jars from `gwt-user.jar`.

Nested Class Summary
`static class` | `RequestFactoryJarExtractor.ClassLoaderLoader` An implementation of `RequestFactoryJarExtractor.ClassLoaderLoader` that uses a `ClassLoader` to retrieve the class files.
`static interface` | `RequestFactoryJarExtractor.Emitter` Describes a way to emit the contents of a classpath, typically into a JAR or filesystem directory.
`(package private) static class` | `RequestFactoryJarExtractor.ErrorContext` Improves error messages by providing context for the user.
`static class` | `RequestFactoryJarExtractor.JarEmitter` An Emitter implementation that creates a jar file.
`static interface` | `RequestFactoryJarExtractor.Loader` Abstracts the mechanism by which class files are loaded.
`static class` | `RequestFactoryJarExtractor.Mode` Controls what is emitted by the tool.

Constructor Summary
`RequestFactoryJarExtractor(java.util.logging.Logger logger, RequestFactoryJarExtractor.Loader loader, RequestFactoryJarExtractor.Emitter emitter, java.util.List<java.lang.Class<?>> seeds, java.util.Map<java.lang.String,byte[]> resources, RequestFactoryJarExtractor.Mode mode)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `run()` Blocks until all work has been finished.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestFactoryJarExtractor

    public RequestFactoryJarExtractor(java.util.logging.Logger logger,
                                      RequestFactoryJarExtractor.Loader loader,
                                      RequestFactoryJarExtractor.Emitter emitter,
                                      java.util.List<java.lang.Class<?>> seeds,
                                      java.util.Map<java.lang.String,byte[]> resources,
                                      RequestFactoryJarExtractor.Mode mode)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### run

    public void run()
             throws java.io.IOException

  Blocks until all work has been finished.

  Throws:
    `java.io.IOException`

GWT 2.7.0